require 'spec_helper'

module ClientPages
  describe Matcher do
    subject { described_class.new(:span, '<span>foo</span>') }
    it { expect(subject.tag).to eql(:span) }
    it { expect(subject.line).to eql('<span>foo</span>') }
    it { expect(subject.includes?('foo')).to be_true }
    it { expect(subject.match?(nil, 'foo')).to be_false }
  end
end
